Deferred type errors now throw TypeError (#10284)
ClosedPublic

Authored by KaneTW on Apr 24 2015, 4:26 AM.

Details

Summary

Depends on D864.

Previous behaviour was ErrorCall, which might mask issues in tests using -fdefer-type-errors

Signed-off-by: David Kraeutmann <kane@kane.cx>

Test Plan

Test whether the error thrown is indeed TypeError and not ErrorCall.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
KaneTW updated this revision to Diff 2840.Apr 24 2015, 4:26 AM
KaneTW retitled this revision from to Deferred type errors now throw TypeError (#10284).
KaneTW updated this object.
KaneTW edited the test plan for this revision. (Show Details)
KaneTW added a reviewer: austin.
KaneTW updated the Trac tickets for this revision.

Looks ok to me.

Do check that the Haddock documentation for the TypeError exception is adequate.

Simon

I should add that since this is a Prelude API change, it would be good to share with the Core Libraries Committee

Simon

nomeata accepted this revision.Apr 27 2015, 3:37 AM
nomeata added a reviewer: nomeata.
nomeata added a subscriber: nomeata.

LGTM

This revision is now accepted and ready to land.Apr 27 2015, 3:37 AM
austin accepted this revision.May 22 2015, 8:14 AM
austin edited edge metadata.

Gah, I want to ask for a release note entry, but I feel bad sitting on this one for so long. LGTM, so I can take care of it...

This revision was automatically updated to reflect the committed changes.